package tvark.old;

public class PointSt 
{
	private int x,y,z,s;
	
	public PointSt()
	{
		this.x = -1;
		this.y = -1;
		this.z = -1;
		this.s = -1;
	}	 
	public PointSt(int x, int y, int z, int s) 
	{
		this.x = x;
		this.y = y;
		this.z = z;
		this.s = s;
	}
	public void setPointSt(int x, int y, int z, int s) 
	{
		this.x = x;
		this.y = y;
		this.z = z;
		this.s = s;
	}
	public void printPointSt()
	{
		System.out.println("Day: "+ x+ " Lesson: "+y+ " Parallel: " + z+ "maxPerGroup: " +s);
	}
	public boolean isPointSt()
	{
		return x!=-1 && y!=-1 && z!=-1 && s!=-1;
	}
	public int getX() 
	{
		return x;
	}
	public void setX(int x) 
	{
		this.x = x;
	}
	public int getY() 
	{
		return y;
	}
	public void setY(int y) 
	{
		this.y = y;
	}
	public int getZ() 
	{
		return z;
	}
	public void setZ(int z) 
	{
		this.z = z;
	}
	public int getS() 
	{
		return s;
	}
	public void setS(int s) 
	{
		this.s = s;
	}		
}
